> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/1.-subscription-get-events.md).

# 1. Subscription: Get Events

Follow Subscriptions when `INSERT`/`MODIFY`/`REMOVE` actions happen with "Farm", "Field", "FieldSatelliteImage", "RasterAnalysisMap", "VectorAnalysisMap", other entities.

The Subscription mechanism is built on top of MQTT and WebSocket. Our recommendation is to start integration by reading the [AWS AppSync Subscription article](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Subscription events are sent as soon as the event happened in the GeoPard backend.
{% endhint %}

{% hint style="info" %}
Every subscription event has a unique identification named `uuid`, which is useful to filter processed and missed events requested from [82. Query: Restore Subscription Events](/geopard-tutorials/api-docs/geopard-api-requests-overview/82.-query-restore-subscription-events.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/1.-subscription-get-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
